import ComposableArchitecture
import SwiftUI

@Reducer
public struct FeatureB {
    @ObservableState
    public struct State {
        public init() {}
    }

    public enum Action {}

    public init() {}

    public var body: some Reducer<State, Action> {
        Reduce { state, action in
            return .none
        }
    }
}

public struct FeatureBView: View {
    @Bindable var store: StoreOf<FeatureB>

    public init(store: StoreOf<FeatureB>) {
        self.store = store
    }

    public var body: some View {
        Text("FeatureB")
    }
}
