import ComposableArchitecture
import SwiftUI

@Reducer
public struct FeatureA {
    @ObservableState
    public struct State {
        public init() {}
    }

    public enum Action {}

    public init() {}

    public var body: some Reducer<State, Action> {
        Reduce { state, action in
            return .none
        }
    }
}

public struct FeatureAView: View {
    @Bindable var store: StoreOf<FeatureA>

    public init(store: StoreOf<FeatureA>) {
        self.store = store
    }

    public var body: some View {
        Text("FeatureA")
    }
}
